Subject: Re: [PATCH v4 0/3] Fix bugs and performance of kstack offset randomisation

From: Dave Hansen <[email-masked]>
Date: Mon, 19 Jan 2026 08:00:00 -0800

On 1/19/26 05:01, Ryan Roberts wrote:
> x86 (AWS Sapphire Rapids):
> +-----------------+--------------+-------------+---------------+
> | Benchmark       | Result Class |   v6.18-rc5 | per-task-prng |
> |                 |              | rndstack-on |               |
> |                 |              |             |               |
> +=================+==============+=============+===============+
> | syscall/getpid  | mean (ns)    |  (R) 13.32% |     (R) 4.60% |
> |                 | p99 (ns)     |  (R) 13.38% |    (R) 18.08% |
> |                 | p99.9 (ns)   |      16.26% |    (R) 19.38% |

Like you noted, this is surprising. This would be a good thing to make
sure it goes in very early after -rc1 and gets plenty of wide testing.

But I don't see any problems with the approach, and the move to common
code looks like a big win as well:

Acked-by: Dave Hansen <[email-masked]>